Skip to main content
POST
/
voice
/
boost-list
/
extract
Extract boost list from documents
curl --request POST \
  --url https://api.case.dev/voice/boost-list/extract \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "vault_id": "<string>",
  "object_ids": [
    "<string>"
  ],
  "text": "<string>",
  "categories": [
    "person"
  ]
}
'
{
  "items": [
    {
      "word": "<string>",
      "category": "<string>",
      "boost_param": "low"
    }
  ],
  "source": "document",
  "source_ids": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

API key starting with sk_case_

Body

application/json

Source documents or text for entity extraction

vault_id
string

Vault ID containing the source documents (use with object_ids)

object_ids
string[]

Object IDs of documents to extract entities from (PDFs, text files)

text
string

Raw text input for entity extraction (alternative to vault documents)

categories
enum<string>[]

Optional filter for entity categories to extract

Available options:
person,
organization,
legal_term,
medical,
citation,
email

Response

Boost list extracted successfully

items
object[]
source
enum<string>
Available options:
document,
text
source_ids
string[]